Subject: Ticket Assigned - Click & Collect
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Wed, 01 Jun 2022 11:56:09 +0000

Hi Maya Shamma,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect I have an order since 24 May that is still processing until now and not yet ready to collect.
I used to order from land mark but the last time I ordered some items that I wanted to be delivered , and it was very much delayed, so, this time I chose click and collect from store to avoid delay, but unfortunately the order is again delayed and still processing.
I m really disappointed by the service that landmark give nowadays. Not satisfied at all.
Will be last online experience for land mark either home delivery or click and collect. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4433836